org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class PatternMatcherClassInferrer

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.PatternMatcherClassInferrer

-     public class PatternMatcherClassInferrer
      extends java.lang.Object

  `ViatraQueryMatcher` implementation inferrer.
  No Reference:

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternMatcherClassInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtend2.lib.StringConcatenationClient` | `inferArrayToMatchMethodBody(Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClass)` Infers the arrayToMatch method body.
    `org.eclipse.xtend2.lib.StringConcatenationClient` | `inferArrayToMatchMutableMethodBody(Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClass)` Infers the arrayToMatch method body.
    `boolean` | `inferConstructors(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass, Pattern pattern)` Infers constructors for Matcher class based on the input 'pattern'.
    `java.lang.CharSequence` | `inferErrorLogging(java.lang.String message, java.lang.String exceptionName)` Infers the appropriate logging based on the parameters.
    `boolean` | `inferFields(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass, Pattern pattern)` Infers fields for Matcher class based on the input 'pattern'.
    `java.lang.Boolean` | `inferMatcherClassElements(org.eclipse.xtext.common.types.JvmGenericType matcherClass, Pattern pattern, org.eclipse.xtext.common.types.JvmDeclaredType specificationClass, org.eclipse.xtext.common.types.JvmDeclaredType matchClass, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder, org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder, EMFPatternLanguageGeneratorConfig config)`
    `boolean` | `inferMatcherClassToMatchMethods(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass, Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClass)` Infers tupleToMatch, arrayToMatch methods for Matcher class based on the input 'pattern'.
    `boolean` | `inferMethods(org.eclipse.xtext.common.types.JvmDeclaredType type, Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClass, boolean generateMatchProcessor)` Infers methods for Matcher class based on the input 'pattern'.
    `boolean` | `inferStaticMethods(org.eclipse.xtext.common.types.JvmGenericType matcherClass, Pattern pattern)` Infers static methods for Matcher class based on the input 'pattern'.
    `org.eclipse.xtend2.lib.StringConcatenationClient` | `inferTupleToMatchMethodBody(Pattern pattern, org.eclipse.xtext.common.types.JvmType matchClass)` Infers the tupleToMatch method body.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternMatcherClassInferrer

          public PatternMatcherClassInferrer()

  - ### Method Detail

    - #### inferMatcherClassElements

          public java.lang.Boolean inferMatcherClassElements(org.eclipse.xtext.common.types.JvmGenericType matcherClass,
                                                             Pattern pattern,
                                                             org.eclipse.xtext.common.types.JvmDeclaredType specificationClass,
                                                             org.eclipse.xtext.common.types.JvmDeclaredType matchClass,
                                                             org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder builder,
                                                             org.eclipse.xtext.xbase.jvmmodel.JvmAnnotationReferenceBuilder annBuilder,
                                                             EMFPatternLanguageGeneratorConfig config)

    - #### inferFields

          public boolean inferFields(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass,
                                     Pattern pattern)

      Infers fields for Matcher class based on the input 'pattern'.

    - #### inferStaticMethods

          public boolean inferStaticMethods(org.eclipse.xtext.common.types.JvmGenericType matcherClass,
                                            Pattern pattern)

      Infers static methods for Matcher class based on the input 'pattern'. NOTE: queryDefinition() will be inferred later, in EMFPatternLanguageJvmModelInferrer

    - #### inferConstructors

          public boolean inferConstructors(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass,
                                           Pattern pattern)

      Infers constructors for Matcher class based on the input 'pattern'.

    - #### inferMethods

          public boolean inferMethods(org.eclipse.xtext.common.types.JvmDeclaredType type,
                                      Pattern pattern,
                                      org.eclipse.xtext.common.types.JvmType matchClass,
                                      boolean generateMatchProcessor)

      Infers methods for Matcher class based on the input 'pattern'.

    - #### inferMatcherClassToMatchMethods

          public boolean inferMatcherClassToMatchMethods(org.eclipse.xtext.common.types.JvmDeclaredType matcherClass,
                                                         Pattern pattern,
                                                         org.eclipse.xtext.common.types.JvmType matchClass)

      Infers tupleToMatch, arrayToMatch methods for Matcher class based on the input 'pattern'.

    - #### inferTupleToMatchMethodBody

          public org.eclipse.xtend2.lib.StringConcatenationClient inferTupleToMatchMethodBody(Pattern pattern,
                                                                                              org.eclipse.xtext.common.types.JvmType matchClass)

      Infers the tupleToMatch method body.

    - #### inferArrayToMatchMethodBody

          public org.eclipse.xtend2.lib.StringConcatenationClient inferArrayToMatchMethodBody(Pattern pattern,
                                                                                              org.eclipse.xtext.common.types.JvmType matchClass)

      Infers the arrayToMatch method body.

    - #### inferArrayToMatchMutableMethodBody

          public org.eclipse.xtend2.lib.StringConcatenationClient inferArrayToMatchMutableMethodBody(Pattern pattern,
                                                                                                     org.eclipse.xtext.common.types.JvmType matchClass)

      Infers the arrayToMatch method body.

    - #### inferErrorLogging

          public java.lang.CharSequence inferErrorLogging(java.lang.String message,
                                                          java.lang.String exceptionName)

      Infers the appropriate logging based on the parameters.